# Contributing to jonq

Thanks for your interest in helping with jonq! Here's how you can contribute:

## Quick Start

1. Fork the repo
2. Clone your fork: `git clone https://github.com/duriantaco/jonq.git`
3. Install for development: `pip install -e .`

## How to Contribute

### Reporting Bugs
- Check if the bug is already reported
- Include clear steps to reproduce
- Mention your environment (Python version, OS)

### Submitting Changes
1. Create a branch: `git checkout -b fix-something`
2. Make your changes
3. Run tests: `pytest`
4. Commit with a clear message
5. Push to your fork
6. Open a pull request

### Code Style
- Follow PEP 8 basics
- Include docstrings for functions and classes

## Testing
Run `pytest` before submitting your changes.

## Need Help?
Open an issue with your question!

Thanks for contributing!